Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v07
Class EPPFeeCheck

    java.lang.Object
      com.verisign.epp.codec.fee.v07.EPPFeeCheck

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeCheck

extends java.lang.Object
implements EPPCodecComponent

Fee Check Extension that enables a client to pass a list of domain names and fee query information to get fee information back from the server.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeCheck`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeCheck`.

Constructor Summary
`EPPFeeCheck()` Default constructor for `EPPFeeCheck`.
`EPPFeeCheck(java.util.List<EPPFeeDomain> aDomains)` Constructor for `EPPFeeCheck` that takes the list of domains to check.

Method Summary
`void` | `addDomain(EPPFeeDomain aDomain)` Adds a domain to the list of domains to check the fee.
`java.lang.Object` | `clone()` Clone an `EPPCodecComponent` instance.
`void` | `decode(org.w3c.dom.Element aElement)` Decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPFeeCheck` with this instance.
`java.util.List<EPPFeeDomain>` | `getDomains()` Gets the list of domains to check.
`void` | `setDomains(java.util.List<EPPFeeDomain> aDomains)` Sets the list of domains to check.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPFeeCheck`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPFeeCheck`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeCheck

    public EPPFeeCheck()

  Default constructor for `EPPFeeCheck`.

### EPPFeeCheck

    public EPPFeeCheck(java.util.List<EPPFeeDomain> aDomains)

  Constructor for `EPPFeeCheck` that takes the list of domains to check.

  Parameters:
    `aDomains` - A list of `EPPFeeDomain` objects to check.

Method Detail

### addDomain

    public void addDomain(EPPFeeDomain aDomain)

  Adds a domain to the list of domains to check the fee.

  Parameters:
    `aDomain` - Domain to add.

### getDomains

    public java.util.List<EPPFeeDomain> getDomains()

  Gets the list of domains to check.

  Returns:
    List of `EPPFeeDomain` instances. The list should never be `null`.

### setDomains

    public void setDomains(java.util.List<EPPFeeDomain> aDomains)

  Sets the list of domains to check.

  Parameters:
    `aDomains` - List of `EPPFeeDomain` instances to check.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document, which acts is an Element factory
  Returns:
    Element Root element associated with the object
  Throws:
    `EPPEncodeException` - Error encoding `EPPFeeCheck`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - `Element` to decode
  Throws:
    `EPPDecodeException` - Error decoding `Element`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone an `EPPCodecComponent` instance.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPFeeCheck`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPFeeCheck` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if equal; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.